Skip to content

campaigns.runs

Every call the campaign placed.

Returns the individual run records for each contact in the campaign. Each record includes the same fields as agent run details, including run status, duration, transcript, and recording URL.

Reference

GET/api/v1/campaigns/{campaign_id}/runs

Auth
API key in X-API-Key
Content
none
Returns
200 · CampaignRunsResponse

Get campaign workflow runs with pagination, filters and sorting

Arguments

ArgumentInTypeRequiredDescription
campaign_idpathintegerrequired
pagequeryintegerdefault 1
limitqueryintegerdefault 50
filtersquerystringoptionalJSON-encoded filter criteria
sort_byquerystringoptionalField to sort by (e.g., 'duration', 'created_at')
sort_orderquerystringdefault "desc"Sort order ('asc' or 'desc')

Example request

curl -X GET "https://api.decibyl.ai/api/v1/campaigns/<campaign_id>/runs" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "runs": [
    {}
  ],
  "total_count": 1,
  "page": 1,
  "limit": 1,
  "total_pages": 1
}

Errors

StatusWhen
404Not found
422Validation Error